io.vertx.ext.auth.oauth2.providers

## Interface GoogleAuth

-     public interface GoogleAuth

  Simplified factory to create an `OAuth2Auth` for Google.
  Author:
    Paulo Lopes

- - ### Method Summary

    All Methods Static Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OAuth2Auth` | `create(Vertx vertx, JsonObject serviceAccountJson)` Create a OAuth2Auth provider for Google Service Account (Server to Server)
    `static OAuth2Auth` | `create(Vertx vertx, JsonObject serviceAccountJson, HttpClientOptions httpClientOptions)` Create a OAuth2Auth provider for Google Service Account (Server to Server)
    `static OAuth2Auth` | `create(Vertx vertx, String clientId, String clientSecret)` Create a OAuth2Auth provider for Google
    `static OAuth2Auth` | `create(Vertx vertx, String clientId, String clientSecret, HttpClientOptions httpClientOptions)` Create a OAuth2Auth provider for Google

- - ### Method Detail

    - #### create

          static OAuth2Auth create(Vertx vertx,
                                   String clientId,
                                   String clientSecret)

      Create a OAuth2Auth provider for Google
      Parameters:
        `clientId` - the client id given to you by Google
        `clientSecret` - the client secret given to you by Google

    - #### create

          static OAuth2Auth create(Vertx vertx,
                                   String clientId,
                                   String clientSecret,
                                   HttpClientOptions httpClientOptions)

      Create a OAuth2Auth provider for Google
      Parameters:
        `clientId` - the client id given to you by Google
        `clientSecret` - the client secret given to you by Google
        `httpClientOptions` - custom http client options

    - #### create

          static OAuth2Auth create(Vertx vertx,
                                   JsonObject serviceAccountJson)

      Create a OAuth2Auth provider for Google Service Account (Server to Server)
      Parameters:
        `serviceAccountJson` - the configuration json file from your Google API page

    - #### create

          static OAuth2Auth create(Vertx vertx,
                                   JsonObject serviceAccountJson,
                                   HttpClientOptions httpClientOptions)

      Create a OAuth2Auth provider for Google Service Account (Server to Server)
      Parameters:
        `serviceAccountJson` - the configuration json file from your Google API page
        `httpClientOptions` - custom http client options

Copyright © 2017. All rights reserved.